/******************************************************************************
 * $Source: f:\\CVS/java/src/de/bb/minissl/Client.java,v $
 * $Revision: 1.1 $
 * $Date: 2000/09/25 12:21:10 $
 * $Author: bebbo $
 * $Locker:  $
 * $State: Exp $
 *
 * Copyright (c) by Stefan Bebbo Franke 1999-2000.
 * All rights reserved
 *
 * test for SslClient
 *
 * Based on http://home.netscape.com/eng/ssl3/draft302.txt
 *****************************************************************************/

import de.bb.minissl.*;
import java.net.*;
import java.io.*;

public class Client {
/**
 * create a client connection to some server
 */
  public static void main(String args[]) {
    System.out.println("SSL Client Demo $Revision: 1.1 $");

    int port = 443;
    switch (args.length) {
      case 2: port = Integer.parseInt(args[1]);
      case 1: break;
      default:
        System.out.println("usage: Client <ip> [<port>=80]");
        return;
    }
    String ip = args[0];
    try {

      System.out.println("connecting to: " + ip + ":" + port);

      Socket socket = new Socket(ip, port);
      SslClient ssl = new SslClient(socket.getInputStream(), socket.getOutputStream());

      System.out.println("using ciphertype " + ssl.getCipherType());

      InputStream is  = ssl.getInputStream();
      OutputStream os = ssl.getOutputStream();

// now use the streams ...
      os.write("GET / HTTP/1.0\r\n\r\n".getBytes() );
      ByteArrayOutputStream bos = new ByteArrayOutputStream();
      for (int i = is.read(); i >= 0; i = is.read())
        bos.write(i);

      System.out.println(bos.toString());

    } catch (IOException e) {
      System.out.println(e.toString());
    }
  }
}

/*
 * $Log: Client.java,v $
 * Revision 1.1  2000/09/25 12:21:10  bebbo
 * @N repackaged
 */
